#
# Makefile  -  makefile for i386 libc library part
#
# Copyright (C) 2003-2007 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.8 2007/01/06 18:30:51 gkminix Exp $
#


# Subdirectory name of this module
MODNAME    = i386


# Include makefile configuration
include ../../make.config
include ../../make.rules


# Source and object files for the target system
SSRCS86    = setjmp.S86
CSRCS86    = ansi.c86 bprintf.c86 conio.c86 cprintf.c86 cscanf.c86 \
		malloc.c86 random.c86
STROBJS    = strcpy.o86 strncpy.o86 strcat.o86 strncat.o86 strcmp.o86 \
		strncmp.o86 strchr.o86 strrchr.o86 strlen.o86 \
		memcpy.o86 memset.o86 memcmp.o86 fmemcpy.o86
OBJS86    += $(STROBJS)
TARGETLIB  = ../libi386.a


# Rules to generate the target on the host system
all:		$(TARGETLIB)($(OBJS86))


# Rules to generate all string handling modules
.INTERMEDIATE:	$(STROBJS:%.o86=%.t86)

$(STROBJS:%.o86=%.t86):	cstrings.c86 $(INCDIR)/i386/string.h86
	$(DOGCC86) -DL_$(@:%.t86=%) -o $@ $<


# distrib generates all files which are not removed by distclean
distrib:	all

clean:		clean-general

distclean:	clean

realclean:	distclean


